explain_acl_set_fd_or_die(3)

NAME
explain_acl_set_fd_or_die - set an ACL by file descriptor and report errors
    "set an ACL by file descriptor and report errors"

SYNOPSIS
#include <libexplain/acl_set_fd.h>

void explain_acl_set_fd_or_die(int fildes, acl_t acl);
int explain_acl_set_fd_on_error(int fildes, acl_t acl);

DESCRIPTION
The explain_acl_set_fd_or_die function is used to call the acl_set_fd(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_set_fd(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_acl_set_fd_on_error function is used to call the acl_set_fd(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_set_fd(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the acl_set_fd(3) system call.

acl The acl, exactly as to be passed to the acl_set_fd(3) system call.

RETURN VALUE
The explain_acl_set_fd_or_die function only returns on success, see acl_set_fd(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_acl_set_fd_on_error function always returns the value return by the wrapped acl_set_fd(3) system call.

EXAMPLE
The explain_acl_set_fd_or_die function is intended to be used in a fashion similar to the following example:
    explain_acl_set_fd_or_die(fildes, acl);

SEE ALSO

acl_set_fd(3)
    set an ACL by file descriptor

explain_acl_set_fd(3)
    explain acl_set_fd(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller